Skip to main content
PATCH
Update Client

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

client_id
string
required

Body

application/json

Schema for updating a client

name
string | null
country
string | null
maxAccountValue
number | null
currency
string | null
priceCategory
enum<string> | null
Available options:
high,
medium,
low
paymentTerms
string | null
incoterms
string | null
contacts
ContactInfoInput · object[] | null
bankDetails
BankAccountDetailsInput · object | null

Bank account and recipient details stored as JSON.

taxCode
string | null
address
string | null
email
string | null
phone
string | null

Response

Successful Response

Schema for client response - uses camelCase per API_STANDARDS

id
string
required
name
string
required
country
string
required
maxAccountValue
number
required
currency
string
required
priceCategory
enum<string> | null
Available options:
high,
medium,
low
paymentTerms
string | null
incoterms
string | null
contacts
ContactInfoInput · object[] | null
bankDetails
BankAccountDetailsInput · object | null

Bank account and recipient details stored as JSON.

contractFile
ClientContractFileDetails · object | null

Uploaded client contract metadata stored as JSON.

ordersCount
integer | null
taxCode
string | null
address
string | null
email
string | null
phone
string | null